Summary: e-smith specific postgresql configuration and templates.
%define name smeserver-postgresql
Name: %{name}
%define version 0.2.0
%define pg_ver 13
%define release 4
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-postgresql-0.2.0-preset.patch
Patch1: smeserver-postgresql-0.2.0-bz12264-backup.patch
Patch2: smeserver-postgresql-0.2.0-bz12290.patch

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: e-smith-devtools >= 2.6.0-10
Requires: e-smith-base >= 5.8.1
Requires: e-smith-lib >= 2.6.0-14
Requires: postgresql%{pg_ver}
Requires: postgresql%{pg_ver}-server
Requires: postgresql%{pg_ver}-libs
Requires: postgresql%{pg_ver}-contrib
AutoReqProv: no

%description
This package adds necessary startup and configuration items for
postgresql.

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
mkdir -p root/etc/e-smith/pgsql/init
perl createlinks

mkdir -p root/var/log/postgresql
mkdir -p root/home/e-smith/db/pgsql
mkdir -p root/etc/e-smith/pgsql/init
#ln -s root/var/lib/pgsql/%{pg_ver} root/var/lib/pgsql/cur

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    --file /sbin/e-smith/systemd/postgresql-initialize 'attr(0554,root,root)' \
    --dir '/var/log/postgresql' 'attr(2750,postgres,postgres)' \
    --dir '/home/e-smith/db/pgsql' 'attr(0750,root,root)' \
    > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%changelog
* Mon Dec 26 2022 Jean-Philippe Pialasse <tests@pialasse.com> 0.2.0-4.sme
- fix failing pgsql.init service preventing restore [SME: 12290]

* Mon Dec 12 2022 Jean-Philippe Pialasse <tests@pialasse.com> 0.2.0-3.sme
- fix pre-backup event fails error 256 [SME: 12264]

* Fri Dec 02 2022 Jean-Philippe Pialasse <tests@pialasse.com> 0.2.0-2.sme
- fix preset OUT missing

* Wed Nov 17 2021 Michel Begue <mab974@gmail.com> 0.2.0-1
- First import to Sme 10 (postgresql13)

* Tue Sep 11 2007 Charlie Brady <charlieb@e-smith.com> 0.0.1-24
- Add support for localhost/private/public access settings to
  determine which network interfaces to bind to.

* Thu May 24 2007 Charlie Brady <charlieb@e-smith.com> 0.0.1-23
- Determine correct format for network access specs in postgresql.conf
  at template expansion time (postgresql 7 and 8 need different
  directives).

* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Tue Feb 06 2007 Charlie Brady <charlieb@e-smith.com> 0.0.1-22
- Escape braces in full restore template.

* Thu Dec 07 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Fri Dec 01 2006 Charlie Brady <charlie_brady@mitel.com> 0.0.1-21
- Tighten permissions of dump file so that it is never world
  readable.
- Fix restore scriptlet so that it exits silently if there is no
  dump to restore from.
- Fix taint problem with restore script.
- Fix services2adjust symlink names so that postgresl is stopped
  prior to restore, and restarted during timezone change.

* Wed Oct 18 2006 Charlie Brady <charlie_brady@mitel.com> 0.0.1-20
- Expand template for 00_restore_backup pgsql.init script during
  pre-restore event, so that the dump is restored following next
  reboot.

* Tue Oct 17 2006 Charlie Brady <charlie_brady@mitel.com> 0.0.1-19
- Fix permissions problem with restore from backup.

* Mon Sep 25 2006 Charlie Brady <charlie_brady@mitel.com> 0.0.1-18
- Ensure that pre-backup event does not fail if postgresql is disabled.
- Apply sigterm patch - included in -17 source, but not applied in build.

* Thu Sep 21 2006 Charlie Brady <charlie_brady@mitel.com> 0.0.1-17
- Add control/t script so that SIGINT is used to terminate postgresql
  (so that existing connections cannot keep the server up indefinitely).

* Thu Sep 14 2006 Charlie Brady <charlie_brady@mitel.com> 0.0.1-16
- Fix run script so that conf templates are not run until after
  initdb.

* Thu Sep  7 2006 Charlie Brady <charlie_brady@mitel.com> 0.0.1-15
- Fix permissions of run files (typo).

* Tue Aug 29 2006 Charlie Brady <charlie_brady@mitel.com> 0.0.1-14
- Fix comparison operator in tcpip template fragment.

* Tue Aug 29 2006 Charlie Brady <charlie_brady@mitel.com> 0.0.1-13
- Fix ownership of config files (typo).

* Tue Aug 29 2006 Charlie Brady <charlie_brady@mitel.com> 0.0.1-12
- Run all pgsql.init scripts is user 'postgres'.

* Thu Aug 24 2006 Charlie Brady <charlie_brady@mitel.com> 0.0.1-11
- Require passwords for local socket and loopback socket connections
  except for 'postgres' user connecting via Unix domain socket.

* Mon Aug 21 2006 Charlie Brady <charlie_brady@mitel.com> 0.0.1-10
- Add option to accept connections on tcpip socket.

* Fri Aug 04 2006 Charlie Brady <charlie_brady@mitel.com> 0.0.1-09
- Fix permissions on log/run file, and fix name of pgsql/init
  directory.

* Wed Jun 28 2006 Charlie Brady <charlieb@e-smith.com>
- [0.0.1-08]
- Deal more correctly with pgsql.init startup race condition.

* Wed Jun 28 2006 Charlie Brady <charlieb@e-smith.com>
- [0.0.1-07]
- Add full database restore feature.

* Wed Jun 28 2006 Charlie Brady <charlieb@e-smith.com>
- [0.0.1-06]
- Move config templates to the correct place.
- Fix delete-db action to remove empty subdirectories of
  /var/lib/pgsql/data.

* Wed Jun 28 2006 Charlie Brady <charlieb@e-smith.com>
- [0.0.1-05]
- Use chpst rather than setuidgid in run script.

* Wed Jun 28 2006 Charlie Brady <charlieb@e-smith.com>
- [0.0.1-04]
- Add minimal templated configuration files.

* Wed Jun 28 2006 Charlie Brady <charlieb@e-smith.com>
- [0.0.1-03]
- Fix broken pqsql.init.

* Wed Jun 28 2006 Charlie Brady <charlieb@e-smith.com>
- [0.0.1-02]
- Add missing /etc/e-smith/pgsql/init directory

* Wed May 24 2006 Charlie Brady <charlieb@e-smith.com>
- [0.0.1-01]
- initial release
